def main():
    while True:
        fuel = input("Fraction:\t\t")
        try:
            x, y = map(int, fuel.split('/'))
            if x > y:
                continue
            result = x / y
            break
        except (ValueError, ZeroDivisionError):
            continue
    if result <= 0.01:
        print("E")
    elif result >= 0.99:
        print("F")
    else:
        print(f"{int(round(result*100, 0))}%")


if __name__ == "__main__":
    main()
